"""PR URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/2.2/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""

from django.conf.urls import url
from django.urls import path
from polls import views

urlpatterns = [
    path('', views.index , name='index'),
    path('new', views.new, name='new'),
    #path('index',views.index, name='index'),
    path('notice',views.index, name = 'index'),
    path('welcome', views.welcome_seite),
    path('home', views.welcome_seite),
    path('about', views.about_seite),
    path('delete/<int:deleteId>', views.delete, name ='delete'),
    #url(r'^new', views.new, name='new'),
    path('notices/', views.notice_list),
    path('notices/<int:id>/', views.notice_detail),



]
